<?php

namespace App\Http\Controllers\Article;

use App\Models\SeoArticle;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use QL\QueryList;
use QL\Ext\PhantomJs;

class IndexController extends Controller
{
    protected $link = 'http://api.woshipm.com/search/result.html';
    protected $detail = 'http://www.woshipm.com/operate/';

    /*
     *  测试phantomJS
     * */
    public function index(Request $request)
    {
        $url = 'https://www.toutiao.com/';
        $ql = QueryList::getInstance();

        // 安装时需要设置PhantomJS二进制文件路径
        $ql->use(PhantomJs::class,'/usr/local/bin/phantomjs');
        //or Custom function name
//        $ql->use(PhantomJs::class,'/usr/local/bin/phantomjs','browser');
        $html = $ql->browser($url)->getHtml();
        var_dump($html);
        //
//        // Windows下示例
//        // 注意：路径里面不能有空格中文之类的
//        $ql->use(PhantomJs::class,'C:/wamp/www/phantomjs/phantomjs.exe');
//        //手动转码
//        $url = 'https://new.qq.com/omn/TWF20201/TWF2020101901360600.html';
//        $html = iconv('GBK','UTF-8',file_get_contents($url));
//        $data = QueryList::html($html)->rules([
//            'content' => ["p", "html"]
//        ])->query()->getData();
//        var_dump($data[0]['content']);
        # 目标链接获取
//        $content = QueryList::post($this->link,[
//            'key' => '视频号',
//            'tab' => 0,
//            'page' => 1,
//            'idSearch' => 0,
//            'sortType' => 1,
//        ])->find('.article-cont')->map(function($row) {
//            return [
//                'id' => $row->attr('id'),
//                'img' => $row->find('img')->src
//            ];
//        });
//
//        foreach ($content as $item) {
//            if(!isset($item['id']) || empty($item['id'])) continue;
//
//            # 爬取详情
//            $detailLink = $this->detail . $item['id'] . '.html';
//            $article = QueryList::get($detailLink)->rules([
//                'title' => ['title', 'text'],
//                'keywords' => ['meta[name=keywords]', 'content'],
//                'description' => ['meta[name=description]', 'content'],
//                'content' => ['.article--content', 'html', '-blockquote -.support-author -p:last -p:eq(-2) -p:eq(-3)'],
//            ])->queryData();
//
//            # 处理文章内容中的图片
//            $content_html = preg_replace_callback('/src="(.*?)"/', function($matches) {
//                return 'src="' . preg_replace('/(http):\/\/([^\/]+)/i', 'https:\/\/www.wenxingshuju.com\/', $matches[1]). '" ' ;
//            }, $article['content']);
//
//            # 使用谷歌翻译实现伪原创
//
//            die;
//            $article['catid'] = 13;
//            $article['image'] = isset($item['img']) ? $item['img'] : '';
//            $article['images'] = '';
//            $article['summary'] = isset($item['description']) ? $item['description'] : '';
//            $article['create_time'] = time();
//
//            # 判断文章是否存在
//            if(!isset($article['title']) || empty($article['title'])) continue;
//
//            $isExists = SeoArticle::where('title', $article['title'])->exists();
//
//            if($isExists) continue;     // 文章已存在跳出
//
//            # 存储文章
//            $result = SeoArticle::insert($article);
//        }
//        var_dump(123);die;

    }
}
